/**
 * 
 */
package net.bigeon.gclc.swt;

/*-
 * #%L
 * GCLC swt
 * %%
 * Copyright (C) 2015 - 2018 Bigeon
 * %%
 * This software is governed by the CeCILL  license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 * 
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 * 
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 * 
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL license and that you accept its terms.
 * #L%
 */

import static org.junit.Assert.assertFalse;
import static org.junit.Assert.assertNotNull;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Shell;
import org.junit.Test;

import net.bigeon.gclc.manager.PipedConsoleInput;
import net.bigeon.gclc.manager.PipedConsoleOutput;

/** @author Emmanuel Bigeon */
public class SWTConsoleViewTest {

    /** Test method for {@link net.bigeon.gclc.swt.SWTConsoleView#setFocus()}. */
    @Test
    public void testSetFocus() {
        final SWTConsoleView view = new SWTConsoleView(new Shell(), SWT.NONE);
        assertFalse("Non visible component set focus should fail", view.setFocus());
    }

    /** Test method for
     * {@link net.bigeon.gclc.swt.SWTConsoleView#SWTConsoleView(org.eclipse.swt.widgets.Composite, int)}. */
    @Test
    public void testSWTConsoleView() {
        final SWTConsoleView view = new SWTConsoleView(new Shell(), SWT.NONE);
        assertNotNull("View should be initialized with managers", view.getInputManager());
        assertNotNull("View should be initialized with managers",
                view.getOutputManager());
    }

    /** Test method for
     * {@link net.bigeon.gclc.swt.SWTConsoleView#setManager(PipedConsoleOutput, PipedConsoleInput)}. */
    @Test
    public void testSetManager() {
        final SWTConsoleView view = new SWTConsoleView(new Shell(), SWT.NONE);
        // Disconnection should work.
        view.setManager(null, null);
    }
}
